#ifndef _MOVE_STRUCT_H
#define _MOVE_STRUCT_H

#include <stdint.h>

/// Structure for holding movement data
typedef struct
{
	char Valid[5];

	uint8_t g_num;
	uint8_t m_num;
	uint8_t t_num;
	uint16_t s_num;
	uint16_t p_num;

	uint8_t x_dir; 
	uint32_t x_ramp_steps;
	uint32_t x_run_steps;
	uint32_t x_ramp_inc_dec;

	uint8_t y_dir;
	uint32_t y_ramp_steps;
	uint32_t y_run_steps;
	uint32_t y_ramp_inc_dec;

	uint8_t z_dir;
	uint32_t z_ramp_steps;
	uint32_t z_run_steps;
	uint32_t z_ramp_inc_dec;

	uint8_t e_dir;
	uint32_t e_ramp_steps;
	uint32_t e_run_steps;
	uint32_t e_ramp_inc_dec;

} MOVE_STRUCT;

/// Structure for holding the current
/// movement data.
extern MOVE_STRUCT current_move;

#endif /* _MOVE_STRUCT_H */